# Interface Parameter.LongSettable

All Superinterfaces:
  `Parameter.Settable`

All Known Implementing Classes:
  `DriverPropertyValueParameter`

Enclosing class:
  `Parameter`

public static interface Parameter.LongSettable extends Parameter.Settable

## Method Summary

Modifier and Type
Method
Description
`default long`
`getMaximum()`
`default long`
`getMinimum()`
`void`
`set(long subparam, long value)`

## Method Details

### set

void set(long subparam, long value)

### getMinimum

default long getMinimum()

### getMaximum

default long getMaximum()